<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	
	<xsl:param name="formState"/>
	<xsl:param name="validationState"/>
	<xsl:param name="errorState"/>
	<xsl:variable name="formStateExists" select="$formState/hds/*[1]"/>
	
	<xsl:template match="/">
		<div>
				<xsl:if test="( $errorState or ($validationState and $validationState/validity/invalid[formID='error'] ) )">
				<div style="background: #ff6666; padding: 5px;">
					<xsl:if test="$errorState">
					<div> 
						<xsl:value-of select="$errorState/error/id"/> :  <xsl:value-of select="$errorState/error/message"/>
						<br/>
						<p>An error on first use typically indicates that you have not yet generated the index. Click "Full Index" below.</p>
					</div>
					</xsl:if>
					<xsl:if test="$validationState">
						<xsl:for-each select="$validationState/validity/invalid[formID='error']/message">
							<div><xsl:value-of select="."/></div>
						</xsl:for-each>
					</xsl:if>
				</div>
				</xsl:if>
				<form action="" method="get">
					<table>
					<tr>
					<td>
						<input type="text" name="search">
							<xsl:if test="$formStateExists">
								<xsl:attribute name="value"><xsl:value-of select="$formState/hds/search"/></xsl:attribute>
							</xsl:if>
						</input>
					</td>
					<td><input type="submit" value="search"  class="btn"/></td>
					<td><a href="/tools/search/fullIndex"  class="btn">full index</a></td>
					</tr>
					</table>
				</form>
			</div>
    </xsl:template>
    
</xsl:stylesheet>
